Skip to main content
GET
Retrieve all List tasks

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

PROJECT_ID
string
required

The ID of the project

LIST_ID
string
required

The ID of the list

Query Parameters

OFFSET
integer

The maximum amount of results to return (defaults to 10 with a maximum of 50)

LIMIT
integer

The number of records to offset from the beginning of the result list (defaults to 0)

Response

200 - application/json

Returns an array of task objects.

id
string
projectId
string
projectListId
string
taskName
string
createdDate
string
priority
integer
createdBy
integer
ownedBy
integer
contributors
integer[]
attachmentCount
integer
tags
object[]
archived
boolean